import { html, ref } from "@microsoft/fast-element";
import { endSlotTemplate, startSlotTemplate } from "../patterns/start-end.js";
/**
 * The template for the {@link @microsoft/fast-foundation#(FASTDisclosure:class)} component.
 * @public
 */
export function disclosureTemplate(options = {}) {
    return html `
        <details class="disclosure" ${ref("details")}>
            <summary
                class="invoker"
                role="button"
                aria-controls="disclosure-content"
                aria-expanded="${x => x.expanded}"
            >
                ${startSlotTemplate(options)}
                <slot name="summary">${x => x.summary}</slot>
                ${endSlotTemplate(options)}
            </summary>
            <div id="disclosure-content"><slot></slot></div>
        </details>
    `;
}
